Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 115218 - java.lang.NullPointerException: Cannot find previous mode named 'navigator'
java.lang.NullPointerException: Cannot find previous mode named 'navigator'
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 09:52 UTC by tomzi
Modified: 2008-12-22 10:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.04 KB, text/plain)
2007-09-11 09:52 UTC, tomzi
Details
stacktrace (986 bytes, text/plain)
2007-12-04 14:38 UTC, Jaroslav Tulach
Details
stacktrace (1.05 KB, text/plain)
2007-12-11 18:57 UTC, vieiro
Details
stacktrace (984 bytes, text/plain)
2007-12-13 20:34 UTC, j0ni
Details
stacktrace (1.05 KB, text/plain)
2008-01-16 08:15 UTC, Erno Mononen
Details
stacktrace (1.05 KB, text/plain)
2008-01-28 21:27 UTC, Tomas Mysik
Details
stacktrace (1.05 KB, text/plain)
2008-01-31 08:26 UTC, Erno Mononen
Details
stacktrace (1.05 KB, text/plain)
2008-01-31 11:04 UTC, davideconsonni
Details
stacktrace (1.05 KB, text/plain)
2008-02-05 08:54 UTC, gidravlic
Details
stacktrace (1.05 KB, text/plain)
2008-02-07 12:55 UTC, Michel Graciano
Details
stacktrace (1.05 KB, text/plain)
2008-02-07 13:37 UTC, Michel Graciano
Details
stacktrace (1.05 KB, text/plain)
2008-02-07 19:47 UTC, rodrigorsantos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tomzi 2007-09-11 09:52:04 UTC
Build: NetBeans IDE Dev (Build 200709041200)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments:
Comment 1 tomzi 2007-09-11 09:52:09 UTC
Created attachment 48555 [details]
stacktrace
Comment 2 David Simonek 2007-09-11 11:06:40 UTC
Hello,

This is just regular logged warning, which is notifying that some window places (=modes) are not available, probably
because you uninstalled some modules. It's not an error.

However I'm surprised that such warning was displayed to the end user - QA guys, is it because daily dev build is used?
I hope such logging don't display for end user in Milestone or Beta builds.
Comment 3 athompson 2007-11-20 16:05:32 UTC
while this may not be a bug, marking the issue as 'invalid' seems to be preventing it from being addressed.  how about
just suppressing the warning for development builds as well?
Comment 4 Jaroslav Tulach 2007-12-04 14:38:31 UTC
Build: NetBeans IDE Dev (Build 071120)
VM: Java HotSpot(TM) Client VM, 1.5.0_12-b04
OS: Linux, 2.6.22.9-laptop-1mdv, i386

User Comments: 
Shown after startup
Comment 5 Jaroslav Tulach 2007-12-04 14:38:36 UTC
Created attachment 53840 [details]
stacktrace
Comment 6 Jaroslav Tulach 2007-12-04 14:40:56 UTC
It is not only logged. It is shown to the user in a dialog. Probably you want to lower the log level to Level.INFO => 
then the message will only be logged to log file and not shown to the user.
Comment 7 vieiro 2007-12-11 18:57:38 UTC
Build: NetBeans IDE Dev (Build 200712110000)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Linux, 2.6.18-5-686, i386

User Comments: 
I installed this daily build.
Then I updated something from the update center (different modules)
Then I restarted NB, and this error happened.
Comment 8 vieiro 2007-12-11 18:57:41 UTC
Created attachment 54162 [details]
stacktrace
Comment 9 j0ni 2007-12-13 20:34:13 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119
OS: Mac OS X, 10.5.1, i386

User Comments: 
Removed a module (Collab). IDE was restarting.
Comment 10 j0ni 2007-12-13 20:34:21 UTC
Created attachment 54235 [details]
stacktrace
Comment 11 Erno Mononen 2008-01-16 08:15:22 UTC
Build: NetBeans IDE Dev (Build 200801140000)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b02
OS: Linux, 2.6.22-14-386, i386

User Comments: 
The NPE was thrown on startup.
Comment 12 Erno Mononen 2008-01-16 08:15:39 UTC
Created attachment 55120 [details]
stacktrace
Comment 13 Tomas Mysik 2008-01-28 21:27:41 UTC
Build: NetBeans IDE Dev (Build 200801280931)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Linux, 2.6.23-gentoo-r6, i386

User Comments: 
during startup NPE occured
Comment 14 Tomas Mysik 2008-01-28 21:27:45 UTC
Created attachment 55677 [details]
stacktrace
Comment 15 Erno Mononen 2008-01-31 08:26:54 UTC
Build: NetBeans IDE Dev (Build 200801280931)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Linux, 2.6.22-14-386, i386

User Comments: 
The excpetion was thrown while the IDE was starting up.
Comment 16 Erno Mononen 2008-01-31 08:26:57 UTC
Created attachment 55816 [details]
stacktrace
Comment 17 davideconsonni 2008-01-31 11:04:43 UTC
Build: NetBeans IDE Dev (Build 200801310006)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Windows Vista, 6.0, x86

User Comments: 
Comment 18 davideconsonni 2008-01-31 11:04:51 UTC
Created attachment 55825 [details]
stacktrace
Comment 19 Marian Mirilovic 2008-01-31 12:38:58 UTC
60 reports so far ....
Comment 20 Lukas Hasik 2008-01-31 17:04:14 UTC
bad news : the exception appears also in 6.0 FCS (200711261600). Some other reports are coming from latest dev builds

Dafe, could you please check when/where/why the exception is logged? When it is just warning then it shouldn't be
displayed to users in IDE. Logging it to messages.log is enough, right?

I'm targeting the issue for M2, I'll not increase the priority however issue with 60 duplicates would deserve it ;)
thanks
Comment 21 gidravlic 2008-02-05 08:53:57 UTC
Build: NetBeans IDE Dev (Build 200801310006)
VM: Java HotSpot(TM) Client VM, 1.6.0-b105
OS: Windows XP, 5.1, x86

User Comments: 
Comment 22 gidravlic 2008-02-05 08:54:00 UTC
Created attachment 56039 [details]
stacktrace
Comment 23 Michel Graciano 2008-02-07 12:55:51 UTC
Build: NetBeans IDE Dev (Build 200802060003)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
Comment 24 Michel Graciano 2008-02-07 12:55:55 UTC
Created attachment 56239 [details]
stacktrace
Comment 25 Michel Graciano 2008-02-07 13:37:18 UTC
Build: NetBeans IDE Dev (Build 200802060003)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
When openning IDE with Projects, Files, Services and Favorites docked. I try with a empty user dir, and with Projects, Files and Services docked the problems happen too.
Comment 26 Michel Graciano 2008-02-07 13:37:21 UTC
Created attachment 56244 [details]
stacktrace
Comment 27 rodrigorsantos 2008-02-07 19:47:36 UTC
Build: NetBeans IDE Dev (Build 200801311204)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Windows 2000, 5.0, x86

User Comments: 
Comment 28 rodrigorsantos 2008-02-07 19:47:40 UTC
Created attachment 56283 [details]
stacktrace
Comment 29 Stanislav Aubrecht 2008-02-14 12:58:09 UTC
fixed - changed the log level to INFO

http://hg.netbeans.org/main/rev/1fb2ae25d1bc
Comment 30 Lukas Hasik 2008-03-04 12:48:05 UTC
verified in the code
- Logger.getLogger(PersistenceHandler.class.getName()).log(Level.WARNING, null,
+ Logger.getLogger(PersistenceHandler.class.getName()).log(Level.INFO, null, 

the exception will be logged into messages.log only
Comment 31 jinb 2008-03-05 17:05:34 UTC
backported into release601_fixes branch

Checking in PersistenceHandler.java;
/cvs/core/windows/src/org/netbeans/core/windows/Attic/PersistenceHandler.java,v  <--  PersistenceHandler.java
new revision: 1.56.6.1; previous revision: 1.56
done
Comment 32 jinb 2008-03-11 15:09:36 UTC
Removing release601_fixes_candidate2/ release601_fixes_fixed status whiteboard values. The fix cannot be ported to the
fixes branch, since it cannot be made available on the update center.
Rolled back the changes in release601_fixes branch:

Checking in PersistenceHandler.java;
/cvs/core/windows/src/org/netbeans/core/windows/Attic/PersistenceHandler.java,v  <--  PersistenceHandler.java
new revision: 1.56.6.2; previous revision: 1.56.6.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo